%define anolis_release 4
Summary: Automated Testing Framework
Name: atf
Version: 0.21
Release: %{anolis_release}%{?dist}
License: BSD
URL: http://code.google.com/p/kyua/wiki/ATF
Source0: https://github.com/jmmv/atf/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

%define atf_testsdir %{_libexecdir}/atf/tests

%define atf_description The ATF libraries offer a simple API. The API is orthogonal through \
the various bindings, allowing developers to quickly learn how to write test programs in \
different languages. \
\
ATF-based test programs offer a consistent end-user command-line interface to allow \
both humans and automation to run the tests. \
\
ATF-based test programs rely on an execution engine to be run and this execution engine \
is not shipped with ATF. Kyua is the engine of choice.

BuildRequires:  gcc gcc-c++ make autoconf automake

%description
Unused.

%prep
%autosetup -p1

%build
%configure INSTALL="/usr/bin/install -p" --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags} pkgtestsdir=%{atf_testsdir} testsdir=%{atf_testsdir}

%check
make check

%install
make install DESTDIR=%{buildroot} doc_DATA= \
             pkgtestsdir=%{atf_testsdir} testsdir=%{_pkgtestsdir}
rm %{buildroot}%{_libdir}/libatf*.la

%package tests
Summary: Automated Testing Framework - Test suite
Requires: libatf-c = %{EVR}
Requires: libatf-c++ = %{EVR}
Requires: libatf-sh = %{EVR}
Requires: libatf-c-devel = %{EVR}
Requires: libatf-c++-devel = %{EVR}
Requires: libatf-sh-devel = %{EVR}

%description tests
%{atf_description}

This package installs the run-time tests for all the components of ATF, which
include tests for the C, C++ and POSIX shell libraries and the run-time tools.
Please see the README file in the documentation directory for further
details on how to run the installed tests.

%package -n libatf-c
Summary: Automated Testing Framework - C bindings

%description -n libatf-c
%{atf_description}

This package provides the run-time libraries to run tests that use the
ATF C bindings.

%package -n libatf-c-devel
Summary: Automated Testing Framework - C bindings (headers)
Requires: libatf-c = %{EVR}

%description -n libatf-c-devel
%{atf_description}

This package provides the libraries, header files and documentation to
develop tests that use the ATF C bindings.

%package -n libatf-c++
Summary: Automated Testing Framework - C++ bindings

%description -n libatf-c++
%{atf_description}

This package provides the run-time libraries to run tests that use the
ATF C++ bindings.

%package -n libatf-c++-devel
Summary: Automated Testing Framework - C++ bindings (headers)
Requires: libatf-c = %{EVR}
Requires: libatf-c-devel = %{EVR}
Requires: libatf-c++ = %{EVR}

%description -n libatf-c++-devel
%{atf_description}

This package provides the libraries, header files and documentation to
develop applications that use the ATF C++ bindings.

%package -n libatf-sh
Summary: Automated Testing Framework - POSIX shell bindings
Requires: libatf-c++ = %{EVR}

%description -n libatf-sh
%{atf_description}

This package provides the run-time libraries to run tests that use the
ATF POSIX shell bindings.

%package -n libatf-sh-devel
Summary: Automated Testing Framework - POSIX shell bindings (headers)
Requires: libatf-sh = %{EVR}

%description -n libatf-sh-devel
%{atf_description}

This package provides the supporting files and documentation to develop
applications that use the ATF POSIX shell bindings.


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-tests = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%files tests
%{atf_testsdir}

%files -n libatf-c
%{_libdir}/libatf-c.so
%{_libdir}/libatf-c.so.1
%{_libdir}/libatf-c.so.1.0.0
%{_datadir}/man/man1/atf-test-program.1*
%{_datadir}/man/man4/atf-test-case.4*

%files -n libatf-c-devel
%{_datadir}/aclocal/atf-c.m4
%{_datadir}/aclocal/atf-common.m4
%{_includedir}/atf-c.h
%{_includedir}/atf-c
%{_libdir}/libatf-c.so
%{_libdir}/pkgconfig/atf-c.pc
%{_mandir}/man3/atf-c-api.3*

%files -n libatf-c++
%{_libdir}/libatf-c++.so
%{_libdir}/libatf-c++.so.2
%{_libdir}/libatf-c++.so.2.0.0

%files -n libatf-c++-devel
%{_datadir}/aclocal/atf-c++.m4
%{_includedir}/atf-c++.hpp
%{_includedir}/atf-c++
%{_libdir}/libatf-c++.so
%{_libdir}/pkgconfig/atf-c++.pc
%{_mandir}/man3/atf-c++-api.3*

%files -n libatf-sh
%{_bindir}/atf-sh
%{_datadir}/atf
%{_libexecdir}/atf-check
%{_mandir}/man1/atf-sh.1*
%{_mandir}/man3/atf-c++.3*
%{_mandir}/man3/atf-c.3*
%{_mandir}/man3/atf-sh.3*
%{_mandir}/man7/atf.7*

%files -n libatf-sh-devel
%{_datadir}/aclocal/atf-sh.m4
%{_libdir}/pkgconfig/atf-sh.pc
%{_mandir}/man1/atf-check.1*
%{_mandir}/man3/atf-sh-api.3*

%files doc
%doc README

%changelog
* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.21-4
- optimize spec

* Tue Mar 21 2023 happy_orange <songnannan@linux.alibaba.com> - 0.21-3
- fix the changelog error

* Mon Jan 09 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.21-2
- Add doc package and update spec

* Wed Mar 9 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 0.21-1
- Init package from upstream v0.20
